## tap.py 1.9

=== requirements.txt ===
Pygments==2.1.3
argparse==1.2.1
nose==1.3.7
py==1.4.31
pytest==2.9.1

## tap.py 2.0

=== debian/changelog ===
tap.py (2.0-1) unstable; urgency=medium

  * New upstream release
    - no longer provides a Pygments highlighter for TAP, which was merged
      into Pygments
    - no longer provides the pytest or nose plugins, see PyPI projects
      pytest-tap and nose-tap for those
    - drop build-dependencies for removed functionality
    - d/copyright: remove copyright notice for removed module
  * d/control: build-depend on python3-mock
  * d/control: update GitHub repository URL
  * d/copyright: use PyPI as Source, matching what we download with uscan
  * d/copyright: use the more common capitalization for the author's name
  * d/tests: do not rely on the nose-tap plugin, which is now a separate
    project. Add a separate smoke-test for tappy(1).

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Aug 2016 07:47:11 +0100

tap.py (1.9-1) unstable; urgency=medium

  * Initial release to Debian, based on earlier work by Nicolas CANIART
    (Closes: #781832)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Jul 2016 12:28:30 +0100

=== debian/control ===
Source: tap.py
Section: python
Priority: optional
Maintainer: Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Nicolas CANIART <nicolas@caniart.net>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-docutils,
 python-mock,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-babel,
 python3-mock,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/python-tap/tappy
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tap.py.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tap.py.git

Package: python-tap
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-nose,
Breaks:
 python-tappy (<< 1.9),
Replaces:
 python-tappy (<< 1.9),
Description: TAP producer/consumer tools for Python unittest -- Python 2 version
 The tap.py package provides a set of tools for working with the
 Test Anything Protocol (TAP). TAP is a line based test protocol
 for recording test data in a standard way.
 .
 As a TAP producer, this package comes with a test-runner that
 implements the unittest.TestRunner interface and produces TAP
 compliant output. It also provides a plug-in for the nose test
 framework.
 .
 As a TAP consumer, it includes tools to parse the output of
 TAP compliant producers. It also provides means to replay a
 test-suite from a captured output, without having to actually
 run the tests again.
 .
 This package provide the Python 2.x version of tap.py.

Package: python-tap-doc
Architecture: all
Section: doc
Depends:
 libjs-sphinxdoc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: TAP producer/consumer tools for Python unittest -- documentation
 The tap.py package provides a set of tools for working with the
 Test Anything Protocol (TAP). TAP is a line based test protocol
 for recording test data in a standard way.
 .
 This package provides the documentation for developers who want
 to use the tap.py package in their applications.

Package: python3-tap
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-nose,
Breaks:
 python-tappy (<< 1.9),
Replaces:
 python-tappy (<< 1.9),
Description: TAP producer/consumer tools for Python unittest -- Python 3 version
 The tap.py package provides a set of tools for working with the
 Test Anything Protocol (TAP). TAP is a line based test protocol
 for recording test data in a standard way.
 .
 As a TAP producer, this package comes with a test-runner that
 implements the unittest.TestRunner interface and produces TAP
 compliant output. It also provides a plug-in for the nose test
 framework.
 .
 As a TAP consumer, it includes tools to parse the output of
 TAP compliant producers. It also provides means to replay a
 test-suite from a captured output, without having to actually
 run the tests again.
 .
 This package provide the Python 3.x version of tap.py.

Package: tappy
Architecture: all
Depends:
 python3-pkg-resources,
 python3-tap (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-tappy,
 python-tappy,
Replaces:
 python3-tappy,
 python-tappy,
Description: TAP consumer tool
 The tap.py package provides a set of tools for working with the
 Test Anything Protocol (TAP). TAP is a line based test protocol
 for recording test data in a standard way.
 .
 This package provides the command-line tool 'tappy', which parses
 TAP syntax in files or a stream and produces unittest-style output.

## tap.py 2.1

=== debian/changelog ===
tap.py (2.1-2) unstable; urgency=medium

  * d/copyright: use https for Format URI
  * d/.gitignore: add
  * Standards-Version: 4.1.2 (no further changes)
  * Run the unit tests in the C.UTF-8 locale, working around the
    reproducible-builds infrastructure seemingly setting locales that
    it has not generated. In this configuration the tests end up in
    the equivalent of LC_CTYPE=C, which cannot represent the non-ASCII
    characters found in tappy's LC_MESSAGES. Add `locale -a` and `locale`
    output to build logs to diagnose whether this is in fact what is
    happening.
  * Use python3-sphinx instead of python-sphinx to build documentation
  * Build-depend on python-babel to compile localization files

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Dec 2017 23:26:49 +0000

tap.py (2.1-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: update
  * d/control: tappy and python-tap-doc are Multi-Arch: foreign

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Nov 2016 10:39:02 +0000

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
  debhelper (>= 9),
  dh-python,
  python-all,
+ python-babel,
  python-docutils,
  python-mock,
  python-setuptools,
- python-sphinx,
  python3-all,
  python3-babel,
  python3-mock,
  python3-setuptools,
-Standards-Version: 3.9.8
+ python3-sphinx,
+Standards-Version: 4.1.2
 Homepage: https://github.com/python-tap/tappy
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tap.py.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tap.py.git
@@ -52,6 +53,7 @@
 
 Package: python-tap-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-sphinxdoc,
@@ -95,6 +97,7 @@
 
 Package: tappy
 Architecture: all
+Multi-Arch: foreign
 Depends:
  python3-pkg-resources,
  python3-tap (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME = tap

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	python3 setup.py compile_catalog
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man # HTML generator

override_dh_auto_test:
	# If the locale is unsupported (e.g. $LC_ALL not in `locale -a`),
	# the tests fail. In particular the reproducible builds
	# infrastructure seems to use locales that it hasn't compiled.
	@echo "Supported locales:"
	@locale -a
	@echo "Locale configuration:"
	@locale
	LC_ALL=C.UTF-8 dh_auto_test

override_dh_install:
	install -d $(CURDIR)/debian/tappy/usr/bin
	mv $(CURDIR)/debian/python3-tap/usr/bin/tappy $(CURDIR)/debian/tappy/usr/bin/
	rm -f $(CURDIR)/debian/python-tap/usr/bin/tappy
	dh_install -O--buildsystem=pybuild
	# Avoid namespace-grab, and file conflict with node-tap
	rm -f debian/*/usr/bin/tap


override_dh_sphinxdoc:
	dh_sphinxdoc -p python-tap-doc

override_dh_installchangelogs:
	dh_installchangelogs -O--buildsystem=pybuild docs/releases.rst

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/tap.py/tap.py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tap.py 2.2

=== debian/changelog ===
tap.py (2.2-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: Update
  * Don't explicitly invoke compile_catalog with Python 3, no longer
    needed (upstream no longer skips it on Python 3)
  * d/rules: Alter comments about C.UTF-8 locale to reflect a better
    understanding of what is going on
  * d/watch: Use https for pypi.debian.net
  * Standards-Version: 4.1.3 (no changes required)
  * Use debhelper compat level 11

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Jan 2018 09:20:46 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Nicolas CANIART <nicolas@caniart.net>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-python,
  python-all,
  python-babel,
@@ -18,7 +18,7 @@
  python3-mock,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://github.com/python-tap/tappy
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tap.py.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tap.py.git

=== debian/rules ===
--- 
+++ 
@@ -9,19 +9,14 @@
 
 
 override_dh_auto_build:
-	python3 setup.py compile_catalog
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man # HTML generator
 
 override_dh_auto_test:
-	# If the locale is unsupported (e.g. $LC_ALL not in `locale -a`),
-	# the tests fail. In particular the reproducible builds
-	# infrastructure seems to use locales that it hasn't compiled.
-	@echo "Supported locales:"
-	@locale -a
-	@echo "Locale configuration:"
-	@locale
+	# The tests display messages according to the LANGUAGE, which
+	# can vary, so we need to be using a value of LC_MESSAGES or
+	# LC_ALL that can represent codepoints beyond ASCII.
 	LC_ALL=C.UTF-8 dh_auto_test
 
 override_dh_install:

=== debian/tests/control ===
Tests: python2
Depends:
 python-all,
 python-mock,
 python-nose,
 python-tap,

Tests: python3
Depends:
 python3-all,
 python3-mock,
 python3-nose,
 python3-tap,

Tests: tappy
Depends:
 tappy,

## tap.py 2.4

=== debian/changelog ===
tap.py (2.4-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: Update to match AUTHORS

 -- Simon McVittie <smcv@debian.org>  Thu, 31 May 2018 08:29:54 +0100

tap.py (2.3-1) unstable; urgency=medium

  * New upstream release
  * Add Recommends for TAP version 13 (YAML diagnostics) support
  * Normalize packaging with wrap-and-sort -abst
  * Remove references to the nose plugin, removed in 2.0
  * debian/tests: Share code for Python 2 and 3
  * debian/tests: Re-run tests with Recommends
  * debian/tests: Prefer AUTOPKGTEST_TMP
  * debian/tests: Don't set -x or ignore stderr

 -- Simon McVittie <smcv@debian.org>  Fri, 18 May 2018 09:24:16 +0100

tap.py (2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Simon McVittie ]
  * Convert packaging git repository from git-dpm to gbp pq
  * Standards-Version: 4.1.4 (no changes required)
  * Enable autopkgtest-pkg-python smoke tests

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Apr 2018 09:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,24 +12,30 @@
  python-babel,
  python-docutils,
  python-mock,
+ python-more-itertools <!nocheck>,
  python-setuptools,
+ python-yaml <!nocheck>,
  python3-all,
  python3-babel,
  python3-mock,
+ python3-more-itertools <!nocheck>,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.3
+ python3-yaml <!nocheck>,
+Standards-Version: 4.1.4
 Homepage: https://github.com/python-tap/tappy
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tap.py.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tap.py.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/tap.py.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/tap.py
+Testsuite: autopkgtest-pkg-python
 
 Package: python-tap
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python:Depends},
-Suggests:
- python-nose,
+Recommends:
+ python-more-itertools,
+ python-yaml,
 Breaks:
  python-tappy (<< 1.9),
 Replaces:
@@ -41,8 +47,7 @@
  .
  As a TAP producer, this package comes with a test-runner that
  implements the unittest.TestRunner interface and produces TAP
- compliant output. It also provides a plug-in for the nose test
- framework.
+ compliant output.
  .
  As a TAP consumer, it includes tools to parse the output of
  TAP compliant producers. It also provides means to replay a
@@ -72,8 +77,9 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Suggests:
- python3-nose,
+Recommends:
+ python3-more-itertools,
+ python3-yaml,
 Breaks:
  python-tappy (<< 1.9),
 Replaces:
@@ -85,8 +91,7 @@
  .
  As a TAP producer, this package comes with a test-runner that
  implements the unittest.TestRunner interface and produces TAP
- compliant output. It also provides a plug-in for the nose test
- framework.
+ compliant output.
  .
  As a TAP consumer, it includes tools to parse the output of
  TAP compliant producers. It also provides means to replay a
@@ -104,11 +109,11 @@
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:
+ python-tappy,
  python3-tappy,
+Replaces:
  python-tappy,
-Replaces:
  python3-tappy,
- python-tappy,
 Description: TAP consumer tool
  The tap.py package provides a set of tools for working with the
  Test Anything Protocol (TAP). TAP is a line based test protocol

## tap.py 2.5

=== debian/changelog ===
tap.py (2.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.

  [ Simon McVittie ]
  * Standards-Version: 4.3.0 (no further changes)
  * Set Rules-Requires-Root to no
  * Use debhelper-compat 12
  * Duplicate Recommends in d/tests/control instead of using deprecated
    needs-recommends restriction

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jan 2019 09:47:23 +0000

tap.py (2.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Simon McVittie ]
  * New upstream release
  * Install docs/releases.rst into python-tap-doc as NEWS.gz
  * Standards-Version: 4.2.1 (no further changes)
  * d/copyright: Update to match AUTHORS

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Sep 2018 14:05:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Nicolas CANIART <nicolas@caniart.net>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
+ dh-exec,
  dh-python,
  python-all,
  python-babel,
@@ -22,7 +23,8 @@
  python3-setuptools,
  python3-sphinx,
  python3-yaml <!nocheck>,
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/python-tap/tappy
 Vcs-Git: https://salsa.debian.org/python-team/modules/tap.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tap.py

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man # HTML generator
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man # HTML generator
 
 override_dh_auto_test:
 	# The tests display messages according to the LANGUAGE, which
@@ -31,9 +31,6 @@
 override_dh_sphinxdoc:
 	dh_sphinxdoc -p python-tap-doc
 
-override_dh_installchangelogs:
-	dh_installchangelogs -O--buildsystem=pybuild docs/releases.rst
-
 override_dh_auto_clean:
 	dh_auto_clean
 	make -C docs clean

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,24 @@
  python3-nose,
  python3-tap,
 
+Tests: python2-with-recommends
+Depends:
+ python-all,
+ python-mock,
+ python-more-itertools,
+ python-nose,
+ python-tap,
+ python-yaml,
+
+Tests: python3-with-recommends
+Depends:
+ python3-all,
+ python3-mock,
+ python3-more-itertools,
+ python3-nose,
+ python3-tap,
+ python3-yaml,
+
 Tests: tappy
 Depends:
  tappy,

## tap.py 2.6.1

=== debian/changelog ===
tap.py (2.6.1-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/salsa-ci.yml: Disable blhc to avoid #930993
  * Remove unnecessary B-D on python-docutils
  * Add a build-profile that disables the Python 2 packages.
    python-tap cannot be removed yet because dbus-python Build-Depends on it
    (for its regression tests), but this is a step in that direction.
    Build-depend on debhelper 12.5 for the conditional sequence use.
  * d/tests/control: Mark python2 tests as skip-not-installable.
    Eventually, we want Python 2 to disappear.
  * New upstream release (Closes: #941207)
  * d/copyright: Update
  * d/source/lintian-overrides:
    Override python-depends-but-no-python-helper false positive caused
    by skipping the dh-sequence-python2 B-D under the pkg.tap.py.nopython2
    build profile

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Sep 2019 13:07:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  Nicolas CANIART <nicolas@caniart.net>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
+ debhelper (>= 12.5),
  debhelper-compat (= 12),
  dh-exec,
  dh-python,
- python-all,
- python-babel,
- python-docutils,
- python-mock,
- python-more-itertools <!nocheck>,
- python-setuptools,
- python-yaml <!nocheck>,
+ dh-sequence-python2 <!pkg.tap.py.nopython2>,
+ dh-sequence-python3,
+ python-all <!pkg.tap.py.nopython2>,
+ python-babel <!pkg.tap.py.nopython2>,
+ python-mock <!pkg.tap.py.nopython2>,
+ python-more-itertools <!nocheck !pkg.tap.py.nopython2>,
+ python-setuptools <!pkg.tap.py.nopython2>,
+ python-yaml <!nocheck !pkg.tap.py.nopython2>,
  python3-all,
  python3-babel,
  python3-mock,
@@ -24,7 +26,7 @@
  python3-sphinx,
  python3-yaml <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/python-tap/tappy
 Vcs-Git: https://salsa.debian.org/python-team/modules/tap.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tap.py
@@ -32,6 +34,7 @@
 
 Package: python-tap
 Architecture: all
+Build-Profiles: <!pkg.tap.py.nopython2>
 Depends:
  ${misc:Depends},
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,8 @@
 
 export PYBUILD_NAME = tap
 
-# main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
-
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Tests: python2
+Restrictions: skip-not-installable
 Depends:
  python-all,
  python-mock,
@@ -13,6 +14,7 @@
  python3-tap,
 
 Tests: python2-with-recommends
+Restrictions: skip-not-installable
 Depends:
  python-all,
  python-mock,

## tap.py 2.6.2

=== debian/changelog ===
tap.py (2.6.2-1) unstable; urgency=medium

  * Standards-Version: 4.4.1 (no changes required)
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Nov 2019 10:35:39 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-sphinx,
  python3-yaml <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/python-tap/tappy
 Vcs-Git: https://salsa.debian.org/python-team/modules/tap.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tap.py

## tap.py 3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tappy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tappy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tappy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tappy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
tap.py (3.0-1) unstable; urgency=medium

  * New upstream release
    - Drop patches, merged upstream
    - Update python3-yaml dependency
  * Stop removing python2 version of tappy(1), no longer built
  * Remove lintian override that was only applicable with python2 support

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2020 08:29:26 +0000

tap.py (2.6.2-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938625

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Jan 2020 11:45:47 -0500

tap.py (2.6.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Simon McVittie ]
  * d/p/0001-Fix-typo-in-man-page.patch: Mark as forwarded
  * d/p/test_tracker.py-Fix-test-failure-in-non-English-locales.patch:
    Add proposed patch to fix FTBFS in non-English locales

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Jan 2020 10:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -10,56 +10,20 @@
  debhelper-compat (= 12),
  dh-exec,
  dh-python,
- dh-sequence-python2 <!pkg.tap.py.nopython2>,
  dh-sequence-python3,
- python-all <!pkg.tap.py.nopython2>,
- python-babel <!pkg.tap.py.nopython2>,
- python-mock <!pkg.tap.py.nopython2>,
- python-more-itertools <!nocheck !pkg.tap.py.nopython2>,
- python-setuptools <!pkg.tap.py.nopython2>,
- python-yaml <!nocheck !pkg.tap.py.nopython2>,
  python3-all,
  python3-babel,
  python3-mock,
  python3-more-itertools <!nocheck>,
  python3-setuptools,
  python3-sphinx,
- python3-yaml <!nocheck>,
+ python3-yaml (>= 5.1) <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.4.1
 Homepage: https://github.com/python-tap/tappy
 Vcs-Git: https://salsa.debian.org/python-team/modules/tap.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tap.py
 Testsuite: autopkgtest-pkg-python
-
-Package: python-tap
-Architecture: all
-Build-Profiles: <!pkg.tap.py.nopython2>
-Depends:
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-more-itertools,
- python-yaml,
-Breaks:
- python-tappy (<< 1.9),
-Replaces:
- python-tappy (<< 1.9),
-Description: TAP producer/consumer tools for Python unittest -- Python 2 version
- The tap.py package provides a set of tools for working with the
- Test Anything Protocol (TAP). TAP is a line based test protocol
- for recording test data in a standard way.
- .
- As a TAP producer, this package comes with a test-runner that
- implements the unittest.TestRunner interface and produces TAP
- compliant output.
- .
- As a TAP consumer, it includes tools to parse the output of
- TAP compliant producers. It also provides means to replay a
- test-suite from a captured output, without having to actually
- run the tests again.
- .
- This package provide the Python 2.x version of tap.py.
 
 Package: python-tap-doc
 Architecture: all
@@ -84,7 +48,7 @@
  ${python3:Depends},
 Recommends:
  python3-more-itertools,
- python3-yaml,
+ python3-yaml (>= 5.1),
 Breaks:
  python-tappy (<< 1.9),
 Replaces:

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 override_dh_install:
 	install -d $(CURDIR)/debian/tappy/usr/bin
 	mv $(CURDIR)/debian/python3-tap/usr/bin/tappy $(CURDIR)/debian/tappy/usr/bin/
-	rm -f $(CURDIR)/debian/python-tap/usr/bin/tappy
 	dh_install -O--buildsystem=pybuild
 	# Avoid namespace-grab, and file conflict with node-tap
 	rm -f debian/*/usr/bin/tap

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tap.py/tap.py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tap.py 3.1

=== debian/changelog ===
tap.py (3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop python3-babel Build-Depends, and LC_ALL=C.UTF-8 workaround for
    unit tests assuming English. The localization support was unmaintained
    upstream, and was removed in this version.
  * d/watch: Use version 4 format

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Jan 2022 11:12:47 +0000

tap.py (3.0-3) unstable; urgency=medium

  * d/tests: Remove vestigial support for testing Python 2
  * d/tests: Remove support for ancient versions of autopkgtest
  * d/tests: Use unittest module directly, instead of using nosetest3.
    nosetest3 relies on 2to3, which has been removed.
  * Remove python3-mock test/build dependencies.
    The version from unittest.mock in Python 3.3+ is now used
    unconditionally.
  * Bump debhelper compat level to 13
  * Update standards version to 4.6.0 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Oct 2021 23:31:05 +0100

tap.py (3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Simon McVittie ]
  * Change Section of tappy package from python to devel.
    It's a generic TAP-parsing tool which has no particular connection to
    Python, other than its implementation language.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Dec 2020 11:46:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: tap.py
 Section: python
 Priority: optional
-Maintainer: Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Nicolas CANIART <nicolas@caniart.net>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  debhelper (>= 12.5),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
  dh-python,
  dh-sequence-python3,
  python3-all,
- python3-babel,
- python3-mock,
  python3-more-itertools <!nocheck>,
  python3-setuptools,
  python3-sphinx,
  python3-yaml (>= 5.1) <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/python-tap/tappy
-Vcs-Git: https://salsa.debian.org/python-team/modules/tap.py.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/tap.py
+Vcs-Git: https://salsa.debian.org/python-team/packages/tap.py.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/tap.py
 Testsuite: autopkgtest-pkg-python
 
 Package: python-tap-doc
@@ -70,6 +68,7 @@
  This package provide the Python 3.x version of tap.py.
 
 Package: tappy
+Section: devel
 Architecture: all
 Multi-Arch: foreign
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,6 @@
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
 	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man # HTML generator
-
-override_dh_auto_test:
-	# The tests display messages according to the LANGUAGE, which
-	# can vary, so we need to be using a value of LC_MESSAGES or
-	# LC_ALL that can represent codepoints beyond ASCII.
-	LC_ALL=C.UTF-8 dh_auto_test
 
 override_dh_install:
 	install -d $(CURDIR)/debian/tappy/usr/bin

=== debian/tests/control ===
Tests: python3
Depends:
 python3-all,
 python3-tap,

Tests: python3-with-recommends
Depends:
 python3-all,
 python3-more-itertools,
 python3-tap,
 python3-yaml,

Tests: tappy
Depends:
 tappy,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tap.py/tap.py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tap.py 3.2.1

=== debian/changelog ===
tap.py (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * d/python3-tap.docs: README.md is no longer provided
  * d/control: Build-depend on python3-hatchling as per pyproject.toml
  * d/control: Build-depend on pybuild-plugin-pyproject
  * d/rules, d/tests/common: Run all tests.
    Only a subset are still in the tap/ directory.
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2025 11:01:03 +0000

tap.py (3.1-2) unstable; urgency=medium

  * d/control: Drop dependency on python3-pkg-resources, no longer needed.
    This was required by the wrapper script when using older setuptools, but
    newer versions use importlib.metadata, which is in the Python standard
    library. (Closes: #1083792)
  * d/salsa-ci.yml: Re-enable blhc.
    The false positive #930993 has been fixed.
  * Remove python3-yaml version constraints, unnecessary since Debian 11
  * d/source/lintian-overrides: Ignore a false positive.
    Lintian warns that we don't call py3versions --supported, but in fact
    we do - but it's in a sourced file, which Lintian can't detect.
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 11:48:33 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,15 @@
  dh-exec,
  dh-python,
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-more-itertools <!nocheck>,
  python3-setuptools,
  python3-sphinx,
- python3-yaml (>= 5.1) <!nocheck>,
+ python3-yaml <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/python-tap/tappy
 Vcs-Git: https://salsa.debian.org/python-team/packages/tap.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tap.py
@@ -46,7 +48,7 @@
  ${python3:Depends},
 Recommends:
  python3-more-itertools,
- python3-yaml (>= 5.1),
+ python3-yaml,
 Breaks:
  python-tappy (<< 1.9),
 Replaces:
@@ -72,7 +74,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-pkg-resources,
  python3-tap (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 	# Avoid namespace-grab, and file conflict with node-tap
 	rm -f debian/*/usr/bin/tap
 
+execute_after_dh_auto_test:
+	set -e; for python in $$(py3versions -s); do \
+		PYTHONPATH="$(CURDIR)" "$$python" -m unittest discover -v -s ./tests; \
+	done
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc -p python-tap-doc
